org.apache.cassandra.service

## Class GCInspector

- java.lang.Object
- - org.apache.cassandra.service.GCInspector

All Implemented Interfaces:
  java.util.EventListener, javax.management.NotificationListener

    public class GCInspector
    extends java.lang.Object
    implements javax.management.NotificationListener

### Constructor Summary

Constructors
Constructor and Description
`GCInspector()`

### Method Summary

Methods
`void` `handleNotification(javax.management.Notification notification, java.lang.Object handback)`
`static void` `register()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GCInspector

    public GCInspector()

### Method Detail

#### register

    public static void register()
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### handleNotification

    public void handleNotification(javax.management.Notification notification,
                          java.lang.Object handback)

Specified by:
  `handleNotification` in interface `javax.management.NotificationListener`